Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.filespace
Class StringUtil

    java.lang.Object
      javafe.filespace.StringUtil

public final class StringUtil
extends java.lang.Object

Misc. utility functions on Strings

Constructor Summary
`StringUtil()`

Method Summary
`static int` | `countChar(java.lang.String s, char c)` Count the number of times a given character occurs in a String:
`static void` | `main(java.lang.String[] args)` A simple test driver
`static java.lang.String[]` | `parseList(java.lang.String s, char separator)` Parse a (possibly empty) separator-separated list into an array of Strings:
`static void` | `printList(java.lang.String[] list)` Print an array of Strings on System.out, one string per line.
`static java.lang.String` | `trim_whitespace(java.lang.String s)` Remove leading and trailing whitespace (just spaces for now):

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringUtil

    public StringUtil()

Method Detail

### trim_whitespace

    public static java.lang.String trim_whitespace(java.lang.String s)

  Remove leading and trailing whitespace (just spaces for now):

### countChar

    public static int countChar(java.lang.String s,
                                char c)

  Count the number of times a given character occurs in a String:

### printList

    public static void printList(java.lang.String[] list)

  Print an array of Strings on System.out, one string per line. Prints "" if list is null.

### parseList

    public static java.lang.String[] parseList(java.lang.String s,
                                               char separator)

  Parse a (possibly empty) separator-separated list into an array of Strings:

### main

    public static void main(java.lang.String[] args)

  A simple test driver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage